<template lang='pug'>
Example(title='Collapsible Example' :maxState="1")
  template(v-slot:description)
    h5 This is Collapsible example
    p Click on the #[em animate] to change its state.
    p Click on #[em code] to view and modify its code.

  template(v-slot:interface)
    div #[strong Properties:]
      ul
        li #[strong.text-info title: ] title in the header of the collapsible
        li #[strong.text-info expand: ] state of the expand: true or false
        li #[strong.text-info counter: ] if provided, it will show the number in a pills on the right

  template(v-slot:code)
    template(v-pre).
      BaseCollapsible(:expand="state === 0" :counter="state")
        template(v-slot:header="s")
          h5.m-0.p-0 Collapsible example (state={{state}}, isExpanded={{s.isExpanded}})
        template(v-slot:default="s")
          span this is some content. The counter is {{ s.counter }}
</template>
<script>

import Example from "./AppExample.vue";

export default {
  name: "ExampleCollapsible",
  components: { Example }
};

</script>
